/**
 * 项目：-
 * @Author: xiongwei
 * @Date: 2022-06-28 11:50:00
 */

import { defHttp } from '/@/utils/http/axios';
import { ApiResponse } from '../model/baseModel';
import {
  BatchOrderDetail,
  BatchOrderDetailParams,
  BatchOrderDetailPageResult,
  BatchOrderDetailPageResponse,
  BatchOrderDetailResponse,
} from '../model/batchOrderDetail';

const baseApi = '/v1/order/batch-order-detail';

/**
 * 新增
 */
export const add = (entity: BatchOrderDetail) =>
  defHttp.post<BatchOrderDetail>({ url: `${baseApi}/`, data: entity });

/**
 * 更新
 */
export const update = (entity: BatchOrderDetail) =>
  defHttp.put<BatchOrderDetail>({ url: `${baseApi}/`, data: entity });

/**
 * 删除
 */
export const remove = (id: any) =>
  defHttp.delete<Number>({ url: `${baseApi}/${id}` });

/**
 * 分页查询
 */
export const search = (params?: BatchOrderDetailParams) =>
  defHttp.get<BatchOrderDetailPageResult>({ url: `${baseApi}/search`, params });

/**
 * 列表查询
 */
export const all = (params?: BatchOrderDetailParams) =>
  defHttp.get<BatchOrderDetailPageResult>({ url: `${baseApi}/all`, params });

/**
 * 通过主键查询
 */
export const getById = (id: any) =>
  defHttp.get<BatchOrderDetail>({ url: `${baseApi}/${id}` });

/**
 * 单个查询
 */
export const getOne = (params?: BatchOrderDetailParams) =>
  defHttp.get<BatchOrderDetail>({ url: `${baseApi}/one`, params });

/**
 * 批量删除
 */
export const batchRemove = (idList: Array<any>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-delete`, data: idList });

/**
 * 批量新增
 */
export const batchAdd = (entityList: Array<BatchOrderDetail>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-save`, data: entityList });

/**
 * 批量更新
 */
export const batchUpdate = (entityList: Array<BatchOrderDetail>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-update`, data: entityList });

/**
 * 查询数量
 */
export const count = (params?: BatchOrderDetailParams) =>
  defHttp.get<Number>({ url: `${baseApi}/count`, params });


